### Signal

# GUPnP Service::action-invoked

#### Declaration

    void
    action_invoked (
      GUPnPService* self,
      GUPnPServiceAction* action,
      gpointer user_data
    )

#### Description [src]

Emitted whenever an action is invoked. Handler should process `action` and must call either `gupnp_service_action_return_success()` or `gupnp_service_action_return_error()`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be detailed

#### Parameters

`action`

  Type: `GUPnPServiceAction`

  The invoked `GUPnPServiceAction`.

  The data is owned by the caller of the function.